makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.visagetechnologies.makeupsdk.deprecated.IMakeUpObserver Interface Reference

## Public Member Functions
abstract void | OnStart (MakeUpEngine sender)
abstract void | OnEffectCreated (MakeUpEngine sender, Effect effect)
abstract void | OnEffectRemoved (MakeUpEngine sender, Effect effect)
abstract void | OnEffectHidden (MakeUpEngine sender, Effect effect)
abstract void | OnEffectDisplayed (MakeUpEngine sender, Effect effect)
abstract void | OnEffectUpdated (MakeUpEngine sender, Effect effect)
abstract void | OnClear (MakeUpEngine sender)

## Detailed Description

Deprecated:
  Please use `IMakeupObserver` class instead.

Exposes events triggered by MakeUpEngine. The API client should implement this interface in order to receve notifications from the engine.

## Member Function Documentation

## ◆ OnClear()

abstract void com.visagetechnologies.makeupsdk.deprecated.IMakeUpObserver.OnClear | ( | MakeUpEngine | sender | ) |
| abstract

Deprecated:
  Please use `OnClear(MakeupEngine)` method instead.

Triggered when makeup effects are cleared.

Parameters

  sender | an instance of makeup engine

## ◆ OnEffectCreated()

abstract void com.visagetechnologies.makeupsdk.deprecated.IMakeUpObserver.OnEffectCreated | ( | MakeUpEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Deprecated:
  Please use `OnEffectCreated(MakeupEngine, Effect)` method instead.

Triggered when queried makeup effect is created.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect class uniquely identifying created effect

## ◆ OnEffectDisplayed()

abstract void com.visagetechnologies.makeupsdk.deprecated.IMakeUpObserver.OnEffectDisplayed | ( | MakeUpEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Deprecated:
  Please use `OnEffectDisplayed(MakeupEngine, Effect)` method instead.

Triggered when makeup effect is displayed.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect uniquely identifying displayed effect

## ◆ OnEffectHidden()

abstract void com.visagetechnologies.makeupsdk.deprecated.IMakeUpObserver.OnEffectHidden | ( | MakeUpEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Deprecated:
  Please use `OnEffectHidden(MakeupEngine, Effect)` method instead.

Triggered when makeup effect is hidden.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect uniquely identifying hidden effect

## ◆ OnEffectRemoved()

abstract void com.visagetechnologies.makeupsdk.deprecated.IMakeUpObserver.OnEffectRemoved | ( | MakeUpEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Deprecated:
  Please use `OnEffectRemoved(MakeupEngine, Effect)` method instead.

Triggered when makeup effect is removed.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect uniquely identifying removed effect

## ◆ OnEffectUpdated()

abstract void com.visagetechnologies.makeupsdk.deprecated.IMakeUpObserver.OnEffectUpdated | ( | MakeUpEngine | sender,
|  | Effect | effect
| ) |  |
| abstract

Deprecated:
  Please use `OnEffectUpdated(MakeupEngine, Effect)` method instead.

Triggered when makeup effect is updated.

Parameters

  sender | an instance of makeup engine
  effect | an instance of Effect uniquely identifying displayed effect

## ◆ OnStart()

abstract void com.visagetechnologies.makeupsdk.deprecated.IMakeUpObserver.OnStart | ( | MakeUpEngine | sender | ) |
| abstract

Deprecated:
  Please use `OnStart(MakeupEngine` method instead.

Triggered when the application is started.

Parameters

  sender | an instance of makeup engine